import { ScanViewLayout } from "./components/ScanViewLayout";
import { useScanViewController } from "./hooks/useScanViewController";
import type { ScanViewProps } from "./types";

export function ScanView(props: ScanViewProps) {
  const controller = useScanViewController(props);

  return <ScanViewLayout {...props} controller={controller} />;
}
